/* ============= CARDS - WEBSITES ============= */

.card-container {
    display: grid;
    grid-template-columns: repeat(6, 250px);
    gap: 50px;
    justify-content: center;
    margin: 50px auto;
}
.card {
    width: 100%;
    box-sizing: border-box;
    min-height: 100px;
    padding: 10px;
    border-radius: 8px;
    border: dotted #48ff00 1px;
    background: rgba(26,255,0,0.15);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    transition: transform 0.3s ease;
}
.card img { width: 100%; height: 90px; object-fit: contain; margin-bottom: 5px; }
.card h5 { font-size: 25px; margin: 0; letter-spacing: 2px; font-family: "Handjet", sans-serif; }
.card:hover { border-color: #aa00ff; color: #aa00ff; transform: scale(1.08); background-color: #aa00ff45; }
.card:hover a { color: #aa00ff; }

.card-title { background-color: rgba(26,255,0,0.15); text-align: center; }
.card-title:hover { background-color: #aa00ff45; }


/* ============= ADULT WARNING ============= */

.adult-warning {
    position: fixed; inset: 0;
    background: rgba(0,0,0,.95);
    display: flex; justify-content: center; align-items: center;
    z-index: 9999;
}
.adult-warning-box {
    max-width: 500px; padding: 30px;
    border: 1px dotted #48ff00; background: #000; text-align: center;
}
.adult-warning-box:hover { border: 1px dotted #aa00ff; }
.adult-warning-box h2 { color: #48ff00; }
.adult-warning-box h2:hover { color: #aa00ff; }
.adult-warning-box p { color: #48ff00; font-size: 22px; margin: 20px 0; }
.adult-warning-box p:hover { color: #aa00ff; }
.adult-warning-box button {
    background: transparent; border: 1px dotted #48ff00;
    color: #48ff00; padding: 10px 25px; cursor: pointer;
}